LinuxQuestions.org
Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
LinkBack Search this Thread
Old 02-21-2013, 12:52 PM   #1
nkokos
LQ Newbie
 
Registered: Feb 2013
Posts: 2
Blog Entries: 1

Rep: Reputation: Disabled
Question Error while installing wimax mobile module on ns2.29


Hello,
I am currently installing wimax mobility version on ns2.29, and i got the following error:

In file included from mac/wireless-phy.cc:61:0:
./interference/interference.h: At global scope:
./interference/interference.h:120:107: error: redefinition of ‘double pktRx_start’
./interference/interference.h:120:71: error: ‘double pktRx_start’ previously declared here
mac/wireless-phy.cc: In member function ‘virtual int WirelessPhy::sendUp(Packet*)’:
mac/wireless-phy.cc:477:117: error: no matching function for call to ‘Interference::interference(MobileNode*, Packet*&, double, Packet*&, double)’
./interference/interference.h:120:14: note: candidate is: static int Interference::interference(MobileNode*, Packet*, double, Packet*)
Makefile:97: recipe for target `mac/wireless-phy.o' failed
make: *** [mac/wireless-phy.o] Error 1
Ns make failed!
See http://www.isi.edu/nsnam/ns/ns-problems.html for problems
.

Kindly assist
 
Old 02-21-2013, 02:56 PM   #2
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2013.07, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,183

Rep: Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367
Assume ns-2.29-nist-mob-022707.tgz .

On some OS the nist-mob patched ns-allinone-2.29.3 will compile OK
with g++ version 4.1.2 . ( "2.29.3" is an updated version for gcc-4.1.2 ).

But the files in ns-2.29-nist-mob-022707 are dated ~March 2006,
and only g++ version 3.4.6 may work.

Is it still Cygwin ? If yes, then I'd suggest :
Install CentOS 6.3 in a 'Virtual Machine' e.g. VirtualBox in Windows.
Or install CentOS 6.3 to a spare partition.
( 'compat-gcc-34-c++' is included in CentOS 5.9 and 6.3 ).

-
 
Old 04-07-2013, 05:21 PM   #3
nawel_nk
LQ Newbie
 
Registered: Apr 2013
Posts: 8

Rep: Reputation: Disabled
please sir could you please explain more or give us links for more explication , thank you
 
Old 04-08-2013, 02:08 AM   #4
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2013.07, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,183

Rep: Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367
Post # 3, @nawel_nk : Welcome to LQ.

Explain more about what ?

To get answers, you will have to supply all the required information
http://www.linuxquestions.org/linux/...Ask_a_Question
http://linuxsilo.net/docs/smart-questions_en.html
.. Which Linux OS are you using ? Name and version, please.
Which version of ns2 ? And the patch that you want to apply.
And please tell what you tried, and what went wrong.

-
 
Old 04-08-2013, 03:46 AM   #5
nawel_nk
LQ Newbie
 
Registered: Apr 2013
Posts: 8

Rep: Reputation: Disabled
Thank you for your reply
I use a virtual ubuntu 10.04.2 (virtual box), and i installed the ns-allinone-2.29.3 , then i tried to add nist model , i download the package ns-2.29-nist-mob-022707.tgz i extracted it and i replace it with ns-2.29 folder , then i change some .cc and .h files and i put the patch pmip6-for-ns-2.29-nist.patch in the ns-2.29 folder and i run this command patch -p1 < pmip6-for-ns-2.29-nist.patch , then i tried to reinstall ns but i have those errors ,
In file included from mac/wireless-phy.cc:61:
./interference/interference.h: At global scope:
./interference/interference.h:120: error: redefinition of ‘double pktRx_start’
./interference/interference.h:120: error: ‘double pktRx_start’ previously declared here
mac/wireless-phy.cc: In member function ‘virtual int WirelessPhy::sendUp(Packet*)’:
mac/wireless-phy.cc:477: error: no matching function for call to ‘Interference::interference(MobileNode*, Packet*&, double, Packet*&, double)’
./interference/interference.h:120: note: candidates are: static int Interference::interference(MobileNode*, Packet*, double, Packet*)
make: *** [mac/wireless-phy.o] Erreur 1
Ns make failed!


If you know a solution could you please help me , thank you

Last edited by nawel_nk; 04-08-2013 at 03:48 AM.
 
Old 04-08-2013, 04:16 AM   #6
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2013.07, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 13,183

Rep: Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367Reputation: 2367
# 5.

Where did you get the information that the above will work ?

What is your install command ?
Right is : export CC=gcc-4.1 CXX=g++-4.1 && ./install

And if you are reconfiguring in ns-allinone-2.29/ns-2.29/ :
export CC=gcc-4.1 CXX=g++-4.1 && ./configure && make

-
 
Old 04-08-2013, 07:46 AM   #7
nawel_nk
LQ Newbie
 
Registered: Apr 2013
Posts: 8

Rep: Reputation: Disabled
thank you
 
  


Reply

Tags
nist-mob, pmip6, wimax


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem installing wimax module in ns2.28 zana Linux - Newbie 42 04-03-2014 04:02 AM
can't find file to patch at input line n problem, Installing WiMax module on ns2-29 Narges Linux - Newbie 14 12-15-2012 04:41 AM


All times are GMT -5. The time now is 07:45 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration